import { jsx } from "react/jsx-runtime";
import { LighthouseIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Lighthouse = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Lighthouse", ...props, children: /* @__PURE__ */ jsx(LighthouseIcon, { weight: variant }) });
  }
);
Lighthouse.displayName = "Lighthouse";
Object.assign(Lighthouse, { isGdsIcon: true });
export {
  Lighthouse
};
